Package org.zkoss.zkplus.cluster

## Class ClusterSessionPatch

- java.lang.Object
- - org.zkoss.zkplus.cluster.ClusterSessionPatch

- All Implemented Interfaces:
    `ExecutionCleanup`

      public class ClusterSessionPatch
      extends java.lang.Object
      implements ExecutionCleanup

  This listener is used with Weblogic clustering server or cloud environment (such as Google App Engine).

  then you have to add following lines in application's WEB-INF/zk.xml:

              <listener>
                      <listener-class>org.zkoss.zkplus.cluster.ClusterSessionPatch</listener-class>
              </listener>

  Since:
    5.0.8
  Author:
    jimmy

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClusterSessionPatch()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanup​(Execution exec, Execution parent, java.util.List errs)` | called when an execution is about to be destroyed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterSessionPatch

          public ClusterSessionPatch()

  - ### Method Detail

    - #### cleanup

          public void cleanup​(Execution exec,
                              Execution parent,
                              java.util.List errs)
                       throws java.lang.Exception

      Description copied from interface: `ExecutionCleanup`
      called when an execution is about to be destroyed.

      If this method throws an exception, the stack trace will be logged, and the error message will be displayed at the client.

      When this method is invoked, the execution is still activated, so you can create components here.

      Specified by:
        `cleanup` in interface `ExecutionCleanup`
      Parameters:
        `exec` - the execution to clean up.
        `parent` - the previous execution, or null if no previous at all
        `errs` - a list of exceptions (java.lang.Throwable) if any exception occurred before this method is called, or null if no exception at all. Note: you can manipulate the list directly to add or clean up exceptions. For example, if exceptions are fixed correctly, you can call errs.clear() such that no error message will be displayed at the client.
      Throws:
        `java.lang.Exception`